class MySaveZone extends UTGameObjective
	placeable;
 
var() Volume CalcZone;
var() float CheckInterval;

auto state Active
{
	event BeginState(Name PreviousStateName)
	{
		SetTimer(CheckInterval, true, 'CheckZone');
		super.BeginState(PreviousStateName);
	}

	function CheckZone()
	{
		NumPawnInZone();
	}

	function NumPawnInZone()
	{
		local MyPawn P;

		P=MyPawn(Instigator);

		foreach CalcZone.TouchingActors(class'MyPawn', P)
		{
			if(P.Health >=0)
			{
				P.SaveHealth();
				WorldInfo.Game.Broadcast(self, 'Saved');
				gotostate('Complete');
			}
		}
	}
}

state Complete
{
	event BeginState(Name PreviousStateName)
	{
		super.BeginState(PreviousStateName);
	}
}

defaultproperties
{
	bStatic=false
	bHidden=false
	bAlwaysRelevant=true
	Physics=PHYS_None
	bOrientOnSlope=true
	bReplicateMovement=true
	bIgnoreRigidBodyPawns=true

	CheckInterval=0.1

}
